<?php
require_once '../../data/constant.php';
require_once '../../util/make_item.php';
require_once '../../util/validate.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../data/data_for_test.php';

session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."admin/login.php");
	exit;
}
$ses_arr = $_SESSION[SESSION_ADMIN];

//$practice_id = "";
$question_id = "";
if (!isset($_GET['question_id']) || !is_numeric($_GET['question_id'])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."admin/login.php");
	exit;
}
//$practice_id = $_GET['practice_id'];
$question_id = $_GET['question_id'];

$answer ="";
$department_id = "";
$level_id = "";
$practice_title = "";
$practice_text = "";
$difficulty ="";
$comment = "";

$input_flag = "";
$up_flag = "";
$show_txt = "";
$err_msg = "";

$img_set="";
$av_set="";
$url_img = LOCAL_URL."img_files/";
$url_av = LOCAL_URL."av_files/";

$department_sel = "";
$level_sel="";
$dif_sel = "";

$key_word_arr = array();
$item_bango_arr = array();
$item_txt_arr = array();
$item_is_right_arr = array();

$is_keyword_display = "none";
$is_item_display = "none";

$is_file_input_display = "inline";
$is_file_exist_display ="none";
$img_file = "";
$img_url = "";
$text_id = "";

$is_avfile_input_display = "inline";
$is_avfile_exist_display ="none";
$av_file = "";
$av_url = "";


if (isset($_SESSION["tmp_img"])) {
	if (is_dir(DOC_ROOT."img_files/".$_SESSION["tmp_img"])) {
		//unlink($input_inf_arr['tmp_img_dir']."/".$input_inf_arr['img_file']);
		//rmdir($input_inf_arr['tmp_img_dir']);
		$img_files = scandir(DOC_ROOT."img_files/".$_SESSION["tmp_img"]);
		foreach($img_files as $del_img){
			if ($del_img <> "." && $del_img <> "..") unlink(DOC_ROOT."img_files/".$_SESSION["tmp_img"]."/".$del_img);
		}
		rmdir(DOC_ROOT."img_files/".$_SESSION["tmp_img"]);
	}
	unset($_SESSION["tmp_img"]);
}

$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {
	$qt_object = new CTextQuestionAccess();
	//$qt_object->setSinglePracticeData($data_object->conn,$question_id);
	if (!$qt_object->setSinglePracticeData($data_object->conn,$question_id)) {
		$err_msg .= "No Data Found";
	} else {
		if ($qt_data = $qt_object->dbFetchArr()) {
			$answer = intval($qt_data['answer']);
			$department_id = intval($qt_data['department_id']);
			$level_id = intval($qt_data['level']);
			$practice_title = htmlspecialchars($qt_data['text_title'],ENT_QUOTES);
			$practice_text = htmlspecialchars($qt_data['tt_content'],ENT_QUOTES)."\n\n";
			$practice_text .= htmlspecialchars($qt_data['qt_content'],ENT_QUOTES);
			$difficulty =intval($qt_data['exp_dif']);
			$comment = htmlspecialchars($qt_data['example'],ENT_QUOTES)."\n";
			$comment .= htmlspecialchars($qt_data['comment'],ENT_QUOTES);
			$rep_key = $qt_data['rep_key'];
			$img_file = $qt_data['img_file'];
			if ($img_file <> "") {
				$text_id = intval($qt_data['text_id']);

				$img_url = "<a href='#' onClick='changeImg(0)'>";
				$img_url .="<img src='".LOCAL_URL."img_files/".$qt_data['text_id']."/".$img_file."' width='300' height='200' />";
				$img_url .= "</a>";
				$is_file_input_display = "none";
				$is_file_exist_display ="inline";
			}

			$av_file = $qt_data['av_file'];
			if ($av_file <> "") {
				$text_id = intval($qt_data['text_id']);
				$av_url .="<embed src='".LOCAL_URL."av_files/".$qt_data['text_id']."/".$av_file."' width='300' height='200' />";
				$is_avfile_input_display = "none";
				$is_avfile_exist_display ="inline";
			}

			$rep_obj = new rep_tag_ctl($practice_text);
			$rep_obj->rep_exe($rep_key, "");
			$practice_text = $rep_obj->rep_finish();

			if ($answer == 0 || $answer == 3) {
				$key_word_object = new CKeyWordTableAccess();
				$key_word_data = $key_word_object->getKeyWordPerQuestion($data_object->conn,$question_id);
				if ($key_word_data <> false) {
					foreach ($key_word_data as $child) {
						array_push($key_word_arr, htmlspecialchars($child['key_word_txt'],ENT_QUOTES));
					}
				}
				$is_keyword_display = "inline";
				$is_item_display = "none";

			} else {
				$item_object = new CItemTableAccess();
				$item_data = $item_object->getItemPerQuestion($data_object->conn,$question_id);
				if ($item_data <> false) {
					foreach ($item_data as $child) {
					array_push($item_bango_arr,htmlspecialchars($child['item_order'],ENT_QUOTES));
					array_push($item_txt_arr,htmlspecialchars($child['item_txt'],ENT_QUOTES));
					array_push($item_is_right_arr,$child['is_right']);
					}
				}
				$is_keyword_display = "none";
				$is_item_display = "inline";
			}
		}
		$qt_object->dbFreeResult();
	}

	$dep_object = new CCreateDepSelect($data_object->conn);
	//$dep_object->setDataForInput();
	$department_sel = $dep_object->getPullDown("department", $department_id);
	$dep_dat_arr  = $dep_object->getBasicData();

	$dif_object = new CCreateDifficSelect($data_object->conn);
	$dif_object->setDataForInput();
	$dif_sel = $dif_object->getRadioList ("dif", $difficulty);
	$dif_dat_arr = $dif_object->getBasicData();

	$lev_object = new CCreateTxtLevelSelect($data_object->conn);
	$lev_object->setDataForInput();
	$level_sel = $lev_object->getRadioList ("lev", $level_id);
	$lev_dat_arr = $lev_object->getBasicData();

	$data_object->closeDB();
}

$show_data = file_get_contents('../../templates/ad_practice/practice_form.tpl');
$show_data = str_replace(':ERR_MSG:', mb_convert_encoding($err_msg,'UTF-8', 'EUC-JP'), $show_data);

$show_data = str_replace(':PRAC_TITLE_TXT:', $practice_title, $show_data);
$show_data = str_replace(':PRAC_TXT_REP:', $practice_text, $show_data);

//for ($i=0; $i<3; $i++) {
for ($i=0; $i<6; $i++) {
	$selected = "";
	if ($answer === $i) $selected = "SELECTED";
	$show_data = str_replace(":SELECTED_REP".$i.":", $selected, $show_data);

}

$show_data = str_replace(':DEP_SEL_REP:', $department_sel, $show_data);
$show_data = str_replace(':LEV_SEL_REP:', $level_sel, $show_data);
$show_data = str_replace(':DIF_SEL_REP:', $dif_sel, $show_data);

for ($i=0; $i<3; $i++) {
	$selected = "";
	if ($status === $i) $selected = "SELECTED";
	$show_data = str_replace(":ST_SELECTED_REP".$i.":", $selected, $show_data);
}
$show_data = str_replace(':COMMENT_REP:', $comment, $show_data);

for ($i=0; $i<10; $i++) {
	$key_word_txt = "";
	if (isset($key_word_arr[$i])) $key_word_txt = $key_word_arr[$i];
	$show_data = str_replace(':KEY_WORD'.$i.'_REP'.$i.':', $key_word_txt, $show_data);
}

for ($i=0; $i < 10; $i++) {
	$item_order = "";
	$item_txt = "";
	$is_right = 0;
	if (isset($item_bango_arr[$i])) {
		$item_order = $item_bango_arr[$i];
		$item_txt = $item_txt_arr[$i];
		$is_right = $item_is_right_arr[$i];
	}
	$show_data = str_replace(':BANGO_REP'.$i.':', $item_order, $show_data);
	$show_data = str_replace(':ITEM_TXT_REP'.$i.':', $item_txt, $show_data);
	if ($is_right == 1) {
		$show_data = str_replace(':IS_RIGHT'.$i.'_REP:', "CHECKED", $show_data);
	} else {
		$show_data = str_replace(':IS_RIGHT'.$i.'_REP:', "", $show_data);
	}
}

$show_data = str_replace(':DEL_BUTTON_REP:', "", $show_data);

$show_data = str_replace(':KEY_WORD_DISPLAY_REP:', $is_keyword_display, $show_data);
$show_data = str_replace(':ITEM_DISPLAY_REP:', $is_item_display, $show_data);
$show_data = str_replace(':QUE_ID_REP:', $question_id, $show_data);
$show_data = str_replace(':PRA_ID_REP:', "", $show_data);
$show_data = str_replace(':ACT_TYPE_REP:', "from_question", $show_data);

$show_data = str_replace(':FILE_INPUT_DISPLAY_REP:', $is_file_input_display, $show_data);
$show_data = str_replace(':FILE_EXIST_DISPLAY_REP:', $is_file_exist_display, $show_data);
$show_data = str_replace(':TEXT_ID_REP:', $text_id, $show_data);
$show_data = str_replace(':IMG_VIEW_REP:', $img_url, $show_data);
$show_data = str_replace(':EXIST_FILE_NAME_REP:', $img_file, $show_data);

$show_data = str_replace(':AVFILE_INPUT_DISPLAY_REP:', $is_avfile_input_display, $show_data);
$show_data = str_replace(':AVFILE_EXIST_DISPLAY_REP:', $is_avfile_exist_display, $show_data);
$show_data = str_replace(':AV_VIEW_REP:', $av_url, $show_data);
$show_data = str_replace(':EXIST_AVFILE_NAME_REP:', $av_file, $show_data);

$show_data = str_replace(':PRAC_COM_REP:', "", $show_data);
$show_data = str_replace(':ANALYSIS_REP:', "", $show_data);
$show_data = str_replace(':CREATER_DISP_REP:', "", $show_data);
echo $show_data;
?>